The server you are trying to connect to is running a newer version of the game.

Has anyone else had this problem? I was just playing last night and now it does this for every server.

SteamPipe.

Verify your game. It should update and convert.

I keep getting this error and I’ve completely removed Garry’s Mod (via Steam, then removing the directory and any lingering files manually) and reinstalled it, Still get the error

I’m absolutely fine. Dunno what’s going on with you.

Same :expressionless:

Tried verifying the game?

-snip- (read the title as “The server you are trying to connect to is running an older version of the game”)

The server you are trying to connect to is running a newer version of the game.

It’s more like the other way round.

If you say that you have already verified the game, and it still doesn’t work, the only other thing that I could think of is reinstall Steam so that it downloads with the newest type of content.

Go to your /steamapps/common and /steamapps/(username) folders and drag out any GMod folders there. Go into steam and delete Garry’s Mod local content, then do a fresh reinstall.